org.codehaus.plexus.digest

## Class Sha1Digester

- java.lang.Object
- - org.codehaus.plexus.digest.AbstractDigester
  - - org.codehaus.plexus.digest.Sha1Digester

All Implemented Interfaces:
  Digester

    public class Sha1Digester
    extends AbstractDigester

Digester that does SHA1 Message Digesting Only.

### Field Summary

### Fields inherited from interface org.codehaus.plexus.digest.Digester

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`Sha1Digester()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFilenameExtension()` The filename extension for this digester.

### Methods inherited from class org.codehaus.plexus.digest.AbstractDigester

`calc, getAlgorithm, toString, verify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Sha1Digester

    public Sha1Digester()

### Method Detail

#### getFilenameExtension

    public String getFilenameExtension()

Description copied from interface: `Digester`
The filename extension for this digester.

Returns:
  the filename extension.